[Jack-Devel] FFADO 2.4.1 released

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view

[Jack-Devel] FFADO 2.4.1 released

Jonathan Woithe-2
FFADO version 2.4.1 is now available, a package of userspace drivers for
firewire audio interfaces.  This is a bugfix release with many of the
changes associated with the use of python3 and distribution packaging.

This is a source-only release which can be downloaded from the ffado.org
website at


or via the direct link:


Issues addressed in this release include:

 * Fix some python syntax which was not compatible with python3.  These
   were missed during the preparation of FFADO 2.4.0.

 * Modify the SCons build system to allow for scons running under python3.
   As of this release there seem to be a number of issues in scons itself
   when running under python3, so building FFADO in this environment is not
   yet guaranteed.

 * Merge distribution patches provided by package maintainers.

 * Address some difficulties experienced by package maintainers when
   compiling FFADO.

 * Improve the output of ffado-diag.

Thanks to the developers and users who contributed to this release: Nicolas
Bouleng, Benoit Delcour, David Kastrup, Hector Martin, Orcan Ogetbil, Dave
Plater, David Runge, Jano Svitok and Jonathan Woithe.  If an omission has
been made please contact us through the ffado-devel mailing list so this can
be corrected.
Jack-Devel mailing list
[hidden email]